unit dstream_json;

//
//  Utilities for writing json primitives to a stream.
//

{$MODE FPC}
{$MODESWITCH RESULT}

interface

uses
  dstream;

function WriteEscapedJsonString(Stream: PStream;
                                S, E: PAnsiChar): Boolean;

implementation

function WriteEscapedJsonString(Stream: PStream;
                                S, E: PAnsiChar): Boolean;
begin
  // TODO actual escaping
  Result := Stream^.WriteBuffer(S^, E - S);
end;

end.
